> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisfi.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Create a new customer to be stored on the AxisFI platform.



## OpenAPI

````yaml /openapi.json post /api/customers/create
openapi: 3.0.1
info:
  title: AxisFi API 接口文档
  description: 认证需同时提供 API Key 和 Secret
  version: v1.0.0
servers:
  - url: http://127.0.0.1:8083
    description: Generated server url
security:
  - X-API-Key: []
    X-API-Secret: []
paths:
  /api/customers/create:
    post:
      tags:
        - Customers
      summary: Create Customer
      description: Create a new customer to be stored on the AxisFI platform.
      operationId: add_1
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCustomerReqVo'
        required: true
      responses:
        '200':
          description: Operation Successful
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CustomerDetailsRespVo'
        '400':
          description: Invalid Parameter
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '403':
          description: Forbidden (No Permission)
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '404':
          description: Not Found
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '405':
          description: Method Not Allowed
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorRespVo'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
components:
  schemas:
    AddCustomerReqVo:
      required:
        - business_details
        - partner_customer_id
        - registration_address
      type: object
      properties:
        partner_customer_id:
          maxLength: 64
          minLength: 20
          type: string
          description: Partner Assigned Customer ID
        business_details:
          $ref: '#/components/schemas/AddCustomerBusinessDetails'
        account_usage:
          $ref: '#/components/schemas/AddCustomerAccountUsage'
        registration_address:
          $ref: '#/components/schemas/AddCustomerRegistrationAddress'
        primary_contact:
          $ref: '#/components/schemas/AddCustomerPrimaryContact'
        business_person_list:
          type: array
          description: List of Legal Representatives
          items:
            $ref: '#/components/schemas/AddCustomerLegalReqVo'
      description: Add Customer Request Vocabulary
    CustomerDetailsRespVo:
      required:
        - business_details
        - partner_customer_id
        - registration_address
      type: object
      properties:
        customer_id:
          type: string
          description: Unique Customer ID
          example: cus_79fb361a05074629bf1ecf0d14cd244e
        partner_customer_id:
          maxLength: 64
          minLength: 20
          type: string
          description: Partner Assigned Customer ID
        status:
          type: string
          description: Customer status
          example: active
          enum:
            - pending
            - active
            - rejected
            - suspended
        created_at:
          type: string
          description: Customer created time
          format: date-time
        business_details:
          $ref: '#/components/schemas/BusinessDetails'
        account_usage:
          $ref: '#/components/schemas/AccountUsage'
        registration_address:
          $ref: '#/components/schemas/RegistrationAddress'
        primary_contact:
          $ref: '#/components/schemas/PrimaryContact'
        business_person_list:
          type: array
          description: List of Legal Representatives
          items:
            $ref: '#/components/schemas/CustomerDetailsLegalRespVo'
      description: Customer Details Response Information
    ErrorRespVo:
      type: object
      properties:
        errors:
          type: array
          description: 错误信息列表
          items:
            $ref: '#/components/schemas/ErrorDetailRespVo'
      description: 错误响应结果
    AddCustomerBusinessDetails:
      required:
        - business_identifier_country_code
        - business_identifier_number
        - business_identifier_type
        - business_name_english
        - business_type
      type: object
      properties:
        business_name:
          maxLength: 225
          minLength: 0
          type: string
          description: Business Name (Local Language)
        business_name_english:
          maxLength: 225
          minLength: 0
          type: string
          description: Business Name (English)
        business_type:
          pattern: >-
            ^(Limited Liability Company|Corporation|Partnership|Sole
            Proprietorship)$
          type: string
          description: Business Type
          enum:
            - Limited Liability Company
            - Corporation
            - Partnership
            - Sole Proprietorship
        website:
          maxLength: 225
          type: string
          description: Corporate Website
          example: https://www.example.com
        business_identifier_type:
          pattern: ^(Business Registration|Article of Association)$
          type: string
          description: License Type
          enum:
            - Business Registration
            - Article of Association
        business_identifier_number:
          maxLength: 64
          minLength: 4
          type: string
          description: License Number
        business_identifier_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Issuing Country
          example: US
        business_identifier_start_date:
          type: string
          description: Start Date
          format: date-time
        business_identifier_expiry_date:
          type: string
          description: Expiry Date
          format: date-time
        business_identifier_document_list:
          type: array
          description: List of license file IDs
          items:
            type: string
            description: List of license file IDs
      description: Company Details Section
    AddCustomerAccountUsage:
      type: object
      properties:
        operating_country:
          maxLength: 2
          minLength: 2
          type: string
          description: Operating Country
          example: US
        goods_service_description:
          maxLength: 255
          minLength: 0
          type: string
          description: Goods Service Description
        industry_category_code:
          maxLength: 10
          minLength: 4
          type: string
          description: Industry Category Code
        account_usage_product_reference:
          pattern: >-
            ^(Financial Services|Payment Processing & Card Services|Retail &
            Trading|Business & Professional Services)$
          type: string
          description: Product Type
          enum:
            - Financial Services
            - Payment Processing & Card Services
            - Retail & Trading
            - Business & Professional Services
        estimated_monthly_revenue_currency:
          maxLength: 3
          minLength: 3
          pattern: ^(USD)$
          type: string
          description: Currency
          example: USD
          enum:
            - USD
        estimated_monthly_revenue_amount:
          maximum: 1000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Estimated Monthly Revenue
          format: decimal
          example: 99.99
      description: Business Details Section
    AddCustomerRegistrationAddress:
      required:
        - registration_address_city
        - registration_address_country_code
        - registration_address_line1
        - registration_address_postcode
        - registration_address_state
      type: object
      properties:
        registration_address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Registration Address Line 1
        registration_address_city:
          maxLength: 64
          minLength: 0
          type: string
          description: Registration Address City
        registration_address_state:
          maxLength: 64
          minLength: 0
          type: string
          description: Registration Address State
        registration_address_postcode:
          maxLength: 10
          minLength: 3
          type: string
          description: Registration Address Postcode
        registration_address_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Registration Address Country Code
          example: US
      description: Registration Address Section
    AddCustomerPrimaryContact:
      type: object
      properties:
        contact_phone:
          pattern: ^\+\d{1,3}\d{6,12}$
          type: string
          description: Contact Phone
          example: '+8613800138000'
        contact_email:
          maxLength: 128
          minLength: 0
          type: string
          description: Contact Email
          example: service@gemini.com
      description: Primary Contact Section
    AddCustomerLegalReqVo:
      required:
        - basic_info
        - identification
      type: object
      properties:
        basic_info:
          $ref: '#/components/schemas/AddCustomerLegalBasicInfo'
        residential_address:
          $ref: '#/components/schemas/AddCustomerLegalResidentialAddress'
        identification:
          $ref: '#/components/schemas/AddCustomerLegalIdentification'
      description: List of Legal Representatives
    BusinessDetails:
      required:
        - business_identifier_country_code
        - business_identifier_document_list
        - business_identifier_number
        - business_identifier_type
        - business_name_english
        - business_type
        - website
      type: object
      properties:
        business_name:
          maxLength: 225
          minLength: 0
          type: string
          description: Business Name (Chinese)
        business_name_english:
          maxLength: 225
          minLength: 0
          type: string
          description: Business Name (Local Language)
        business_type:
          pattern: >-
            ^(Limited Liability Company|Corporation|Partnership|Sole
            Proprietorship)$
          type: string
          description: Business Type
          enum:
            - Limited Liability Company
            - Corporation
            - Partnership
            - Sole Proprietorship
        website:
          maxLength: 225
          type: string
          description: Corporate Website
          example: https://www.example.com
        business_identifier_type:
          pattern: ^(Business Registration|Article of Association)$
          type: string
          description: License Type
          enum:
            - Business Registration
            - Article of Association
        business_identifier_number:
          maxLength: 64
          minLength: 4
          type: string
          description: License Number
        business_identifier_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Issuing Country
          example: US
        business_identifier_start_date:
          type: string
          description: Start Date
          format: date-time
        business_identifier_expiry_date:
          type: string
          description: Expiry Date
          format: date-time
        business_identifier_document_list:
          type: array
          description: List of license file IDs
          items:
            type: string
            description: List of license file IDs
      description: Company Details Section
    AccountUsage:
      type: object
      properties:
        operating_country:
          maxLength: 2
          minLength: 2
          type: string
          description: Operating Country
          example: US
        goods_service_description:
          maxLength: 255
          minLength: 0
          type: string
          description: Goods Service Description
        industry_category_code:
          maxLength: 10
          minLength: 4
          type: string
          description: Industry Category Code
        account_usage_product_reference:
          pattern: >-
            ^(Financial Services|Payment Processing & Card Services|Retail &
            Trading|Business & Professional Services)$
          type: string
          description: Product Type
          enum:
            - Financial Services
            - Payment Processing & Card Services
            - Retail & Trading
            - Business & Professional Services
        estimated_monthly_revenue_currency:
          maxLength: 3
          minLength: 3
          pattern: ^(USD)$
          type: string
          description: Currency
          example: USD
          enum:
            - USD
        estimated_monthly_revenue_amount:
          maximum: 1000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: Estimated Monthly Revenue
          format: decimal
          example: 99.99
      description: Business Details Section
    RegistrationAddress:
      required:
        - registration_address_city
        - registration_address_country_code
        - registration_address_line1
        - registration_address_postcode
        - registration_address_state
      type: object
      properties:
        registration_address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Registration Address Line 1
        registration_address_city:
          maxLength: 64
          minLength: 0
          type: string
          description: Registration Address City
        registration_address_state:
          maxLength: 64
          minLength: 0
          type: string
          description: Registration Address State
        registration_address_postcode:
          maxLength: 10
          minLength: 3
          type: string
          description: Registration Address Postcode
        registration_address_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Registration Address Country Code
          example: US
      description: Registration Address Section
    PrimaryContact:
      type: object
      properties:
        contact_phone:
          pattern: ^\+\d{1,3}\d{6,12}$
          type: string
          description: Contact Phone
          example: '+8613800138000'
        contact_email:
          maxLength: 128
          minLength: 0
          type: string
          description: Contact Email
          example: service@gemini.com
      description: Primary Contact Section
    CustomerDetailsLegalRespVo:
      type: object
      properties:
        basic_info:
          $ref: '#/components/schemas/BasicInfo'
        residential_address:
          $ref: '#/components/schemas/ResidentialAddress'
        identification:
          $ref: '#/components/schemas/Identification'
      description: Customer Legal Representative Details Response
    ErrorDetailRespVo:
      type: object
      properties:
        detail:
          type: string
          description: 错误详细描述
          example: Invalid organizationId
        code:
          type: string
          description: 错误码
          example: ORG_ID_INVALID
      description: 错误详情
    AddCustomerLegalBasicInfo:
      required:
        - birth_date
        - first_name_english
        - last_name_english
        - nationality
        - role_type
      type: object
      properties:
        first_name:
          maxLength: 64
          minLength: 0
          type: string
          description: First Name (Local)
        first_name_english:
          maxLength: 64
          minLength: 0
          type: string
          description: First Name (English)
        last_name:
          maxLength: 64
          minLength: 0
          type: string
          description: Last Name (Local)
        last_name_english:
          maxLength: 64
          minLength: 0
          type: string
          description: Last Name (English)
        birth_date:
          type: string
          description: Date of Birth
          format: date-time
        nationality:
          maxLength: 2
          minLength: 2
          type: string
          description: Nationality
          example: US
        role_type:
          pattern: ^(Director|UBO|Director,UBO)$
          type: string
          description: Role Type
          enum:
            - Director
            - UBO
            - Director,UBO
      description: Basic Information Section
    AddCustomerLegalResidentialAddress:
      type: object
      properties:
        residential_address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
        residential_address_city:
          maxLength: 64
          minLength: 0
          type: string
          description: City
        residential_address_postcode:
          maxLength: 16
          minLength: 3
          type: string
          description: Postcode
        residential_address_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Country Code
          example: US
        residential_address_state:
          maxLength: 64
          minLength: 0
          type: string
          description: State/Province
      description: Residential Address Section
    AddCustomerLegalIdentification:
      required:
        - id_expiration_date
        - id_issue_date
        - id_issuing_country_code
        - id_number
        - id_type
      type: object
      properties:
        id_type:
          pattern: ^(National ID|Passport)$
          type: string
          description: ID Type
          enum:
            - National ID
            - Passport
        id_number:
          maxLength: 64
          minLength: 4
          type: string
          description: ID Number
        id_issuing_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: ID Issuing Country
          example: US
        id_expiration_date:
          type: string
          description: ID Expiry Date
          format: date-time
        id_issue_date:
          type: string
          description: ID Issue Date
          format: date-time
        id_document_front_file_id:
          type: string
          description: ID Document Front File ID
        id_document_back_file_id:
          type: string
          description: ID Document Back File ID
      description: Identification Section
    BasicInfo:
      required:
        - birth_date
        - first_name_english
        - last_name_english
        - nationality
        - role_type
      type: object
      properties:
        first_name:
          maxLength: 64
          minLength: 0
          type: string
          description: First Name (Local)
        first_name_english:
          maxLength: 64
          minLength: 0
          type: string
          description: First Name (English)
        last_name:
          maxLength: 64
          minLength: 0
          type: string
          description: Last Name (Local)
        last_name_english:
          maxLength: 64
          minLength: 0
          type: string
          description: Last Name (English)
        birth_date:
          type: string
          description: Date of Birth
          format: date-time
        nationality:
          maxLength: 2
          minLength: 2
          type: string
          description: Nationality
          example: US
        role_type:
          pattern: ^(Director|UBO|Director,UBO)$
          type: string
          description: Role Type
          enum:
            - Director
            - UBO
            - Director,UBO
      description: Basic personal information
    ResidentialAddress:
      required:
        - residential_address_city
        - residential_address_country_code
        - residential_address_line1
        - residential_address_postcode
        - residential_address_state
      type: object
      properties:
        residential_address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
        residential_address_city:
          maxLength: 64
          minLength: 0
          type: string
          description: City
        residential_address_postcode:
          maxLength: 16
          minLength: 3
          type: string
          description: Postcode
        residential_address_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: Country Code
          example: US
        residential_address_state:
          maxLength: 64
          minLength: 0
          type: string
          description: State/Province
      description: Residential address information
    Identification:
      required:
        - id_expiration_date
        - id_issue_date
        - id_issuing_country_code
        - id_number
        - id_type
      type: object
      properties:
        id_type:
          pattern: ^(National ID|Passport)$
          type: string
          description: ID Type
          enum:
            - National ID
            - Passport
        id_number:
          maxLength: 64
          minLength: 4
          type: string
          description: ID Number
        id_issuing_country_code:
          maxLength: 2
          minLength: 2
          type: string
          description: ID Issuing Country
          example: US
        id_expiration_date:
          type: string
          description: ID Expiry Date
          format: date-time
        id_issue_date:
          type: string
          description: ID Issue Date
          format: date-time
        id_document_front_file_id:
          type: string
          description: ID Document Front File ID
        id_document_back_file_id:
          type: string
          description: ID Document Back File ID
      description: Identity document information
  securitySchemes:
    X-API-Key:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    X-API-Secret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````